%global posix_version 2017
%global posix_release a
%global posix_name man-pages-posix-%{posix_version}
%global posix_name_rel %{posix_name}-%{posix_release}

%global LANG en
Summary: English man (manual) pages from the Linux Documentation Project
Name: man-pages
Version: 6.03
Release: %mkrel 1
License: GPL-style
Group: System/Internationalization
Source0: https://www.kernel.org/pub/linux/docs/man-pages/%name-%version.tar.xz
#Source0: https://man7.org/linux/man-pages/download/%name-%version.tar.xz
# POSIX man pages
Source1: https://www.kernel.org/pub/linux/docs/man-pages/man-pages-posix/%{posix_name_rel}.tar.xz
Source2: rpcgen.1
Source3: ld.so.8
Source4: ldd.1
Source5: ldconfig.8
Source6: man-pages-extralocale.tar.bz2
Source8: man9-19971126.tar.bz2
Source9: man2.tar.bz2
Source10: strptime.3
Source11: ifcfg.5
#Patch1: man-pages-1.31.iconv.patch.bz2
#Source2: netman-cvs.tar.bz2
# from Fedora
URL:     https://www.kernel.org/doc/man-pages
# 	was ftp://ftp.win.tue.nl/pub/linux-local/manpages/
# Where to find it ????
# (fg) 20010627 Document that quad interpretation "feature" in socket API...
BuildRequires: man
# this prevent auto-install of man-pages for non en locales:
#Requires: locales-%LANG
Requires: man
Autoreqprov: false
BuildArchitectures: noarch

%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP).  The man pages are organized into the
following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, /etc/passwd,
                nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)
        Section 9:  Kernel internal routines

%prep
%setup -q -a 1 -a 9 -a 8 -a6

mv %{posix_name}/* ./
rmdir %{posix_name}/

cp -a %SOURCE2 man1
cp -a %SOURCE3 man8
cp -a %SOURCE4 man1
cp -a %SOURCE5 man8
cp -a %SOURCE10 man3
cp -a %SOURCE11 man5


%build
rm -fv man1/{diff,chgrp,chmod,chown,cp,dd,df,dircolors,du,install,dir,vdir}.1
rm -fv man1/{ln,ls,mkdir,mkfifo,mknod,mv,rm,rmdir,touch}.1
rm -fv man2/modules.2 man2/quotactl.2 man2/get_kernel_syms.2 
rm -fv man2/{create,delete,init,query}_module.2
rm -fv man4/{console,fd}.4 man5/{exports,nfs,fstab}.5

# those conflict with ld.so package
# this one conflicts with bind-utils
rm -rf man5/resolver.5

# this conflicts with ldconfig -- Geoff
rm -f man8/ldconfig.8

# those conflict with glibc{,-devel}
rm -f man1/{getent,iconv,ldd,locale,localedef,sprof}.1
rm -f man8/{ld.so,rpcinfo}.8
rm -f man1/rpcgen.1

# remove man pages deprecated by libxcrypt (#1610307)
rm -f man3/crypt{,_r}.3

# this conflict with glibc
rm -f man1/rpcgen.1.bz2

# ships with bpftool
rm -f man7/bpf-helpers.7

#mv man1/COPYING .

%install
set +x
mkdir -p $RPM_BUILD_ROOT/%_mandir
for n in 0p 1 1p 2 2type 3 3const 3head 3p 3type 4 5 6 7 8 9; do
	mkdir $RPM_BUILD_ROOT/%_mandir/man$n
done
for n in man*/*; do
	cp -a $n $RPM_BUILD_ROOT/%_mandir/$n
done

set -x

mkdir -p  $RPM_BUILD_ROOT{%_mandir/%LANG,/var/catman/}

 
%files
%defattr(0644,root,man,755)
%doc README* *.Announce Changes POSIX-COPYRIGHT
%dir %_mandir/%LANG
%dir %_mandir/man*p/
%_mandir/man*/*
#%attr(755,root,man)/var/catman/%LANG




%changelog
* Mon Feb 13 2023 kekepower <kekepower> 6.03-1.mga9
+ Revision: 1941549
- Update to version 6.03

* Wed Jan 04 2023 tv <tv> 6.02-1.mga9
+ Revision: 1929818
- Rebase to version 6.02

* Wed Oct 19 2022 tv <tv> 6.01-1.mga9
+ Revision: 1897579
- 6.01

* Mon Mar 28 2022 umeabot <umeabot> 5.13-2.mga9
+ Revision: 1830501
- Mageia 9 Mass Rebuild

* Wed Sep 01 2021 tv <tv> 5.13-1.mga9
+ Revision: 1743966
- 5.13

* Wed Jun 23 2021 tv <tv> 5.12-1.mga9
+ Revision: 1732010
- 5.12

* Sun Mar 28 2021 tv <tv> 5.11-1.mga9
+ Revision: 1711284
- 5.11

* Thu Dec 24 2020 tv <tv> 5.10-1.mga8
+ Revision: 1663362
- 5.10

* Fri Nov 06 2020 tv <tv> 5.09-2.mga8
+ Revision: 1643100
- update POSIX man pages to 2017-a

* Mon Nov 02 2020 kekepower <kekepower> 5.09-1.mga8
+ Revision: 1641618
- Update to version 5.09

* Tue Aug 18 2020 tv <tv> 5.08-1.mga8
+ Revision: 1615063
- 5.08

* Wed Jun 10 2020 kekepower <kekepower> 5.07-1.mga8
+ Revision: 1591824
- Update to version 5.07

* Sun Apr 12 2020 kekepower <kekepower> 5.06-1.mga8
+ Revision: 1566991
- Update to version 5.06

* Sun Apr 12 2020 tmb <tmb> 5.04-2.mga8
+ Revision: 1566943
- drop bpf-helpers manpage, it is shipped as part of bpftool

* Sun Mar 01 2020 tv <tv> 5.04-1.mga8
+ Revision: 1552675
- 5.04

* Sat Feb 15 2020 umeabot <umeabot> 5.01-2.mga8
+ Revision: 1527007
- Mageia 8 Mass Rebuild

* Tue Jul 09 2019 tv <tv> 5.01-1.mga8
+ Revision: 1419727
- new release

* Thu Sep 20 2018 umeabot <umeabot> 4.16-2.mga7
+ Revision: 1279395
- Mageia 7 Mass Rebuild

* Tue May 01 2018 kekepower <kekepower> 4.16-1.mga7
+ Revision: 1224369
- Update to version 4.16

* Mon Feb 05 2018 tv <tv> 4.15-1.mga7
+ Revision: 1199030
- new release

* Thu Jan 18 2018 tv <tv> 4.14-1.mga7
+ Revision: 1194423
- new release

* Tue Sep 19 2017 tv <tv> 4.13-1.mga7
+ Revision: 1155496
- new release

* Mon Jul 31 2017 tv <tv> 4.12-1.mga7
+ Revision: 1133189
- new release

* Wed Jul 19 2017 tv <tv> 4.11-1.mga7
+ Revision: 1125054
- new release

* Thu Mar 30 2017 tv <tv> 4.10-1.mga6
+ Revision: 1095280
- new release

* Mon Dec 12 2016 tv <tv> 4.09-1.mga6
+ Revision: 1074363
- new release

* Wed Oct 26 2016 tv <tv> 4.08-1.mga6
+ Revision: 1063559
- new release

* Sun Jul 31 2016 tv <tv> 4.07-1.mga6
+ Revision: 1044117
- new release

* Fri May 20 2016 tv <tv> 4.06-2.mga6
+ Revision: 1017263
- submit to core/release

* Fri May 20 2016 tv <tv> 4.06-1.mga6
+ Revision: 1017258
- new release

* Sun Apr 03 2016 tv <tv> 4.05-1.mga6
+ Revision: 997806
- new release

* Thu Dec 31 2015 tv <tv> 4.04-1.mga6
+ Revision: 917227
- new release

* Mon Dec 07 2015 tv <tv> 4.03-1.mga6
+ Revision: 908709
- new release

* Mon Nov 09 2015 tv <tv> 4.02-2.mga6
+ Revision: 900254
- drop support for makewhatis now that we use mandb

* Thu Aug 13 2015 tv <tv> 4.02-1.mga6
+ Revision: 864536
- new release

* Sun Aug 02 2015 tv <tv> 4.01-1.mga6
+ Revision: 860723
- new release

* Tue Jun 23 2015 tv <tv> 4.00-1.mga6
+ Revision: 840263
- new release

* Thu Apr 09 2015 tv <tv> 3.82-1.mga5
+ Revision: 820000
- new release

* Mon Mar 16 2015 tv <tv> 3.81-1.mga5
+ Revision: 818671
- new release

* Tue Feb 24 2015 tv <tv> 3.80-1.mga5
+ Revision: 816798
- new version

* Thu Feb 12 2015 tv <tv> 3.79-1.mga5
+ Revision: 814785
- new release

* Fri Jan 23 2015 tv <tv> 3.78-1.mga5
+ Revision: 812047
- new release
- new release

* Thu Oct 23 2014 tv <tv> 3.75-1.mga5
+ Revision: 792726
- new release

* Wed Oct 15 2014 umeabot <umeabot> 3.72-3.mga5
+ Revision: 743361
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.72-2.mga5
+ Revision: 682144
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 tv <tv> 3.72-1.mga5
+ Revision: 674958
- new release

* Thu Aug 21 2014 tv <tv> 3.71-1.mga5
+ Revision: 666324
- new release

* Fri Jul 11 2014 tv <tv> 3.70-1.mga5
+ Revision: 651335
- new release

* Tue Jun 17 2014 tv <tv> 3.69-1.mga5
+ Revision: 637732
- new release

* Wed Jun 04 2014 tv <tv> 3.68-1.mga5
+ Revision: 632999
- new release

* Mon May 26 2014 tv <tv> 3.67-1.mga5
+ Revision: 626593
- new release

* Fri May 09 2014 tv <tv> 3.66-1.mga5
+ Revision: 621392
- new release

* Thu May 08 2014 tv <tv> 3.65-1.mga5
+ Revision: 621119
- new release

* Wed Apr 16 2014 tv <tv> 3.64-1.mga5
+ Revision: 615291
- new release

* Wed Mar 19 2014 tv <tv> 3.63-1.mga5
+ Revision: 605551
- new release

* Thu Mar 13 2014 tv <tv> 3.62-1.mga5
+ Revision: 602767
- new release

* Fri Feb 28 2014 tv <tv> 3.61-1.mga5
+ Revision: 598027
- new release

* Tue Feb 18 2014 tv <tv> 3.59-1.mga5
+ Revision: 594134
- new release

* Thu Feb 13 2014 tv <tv> 3.58-1.mga5
+ Revision: 590121
- new release

* Tue Feb 04 2014 tv <tv> 3.57-1.mga5
+ Revision: 582712
- fix build
- new release
- new POSIX man pages

* Sat Oct 19 2013 umeabot <umeabot> 3.54-2.mga4
+ Revision: 535088
- Mageia 4 Mass Rebuild

* Wed Sep 18 2013 tv <tv> 3.54-1.mga4
+ Revision: 481083
- new release

* Wed Aug 21 2013 tv <tv> 3.53-1.mga4
+ Revision: 469100
- new release

* Sun Jul 14 2013 tv <tv> 3.52-1.mga4
+ Revision: 454148
- new release

* Thu May 23 2013 tv <tv> 3.51-1.mga4
+ Revision: 424831
- new release

* Sun Mar 17 2013 tv <tv> 3.50-1.mga3
+ Revision: 403525
- new release

* Thu Jan 31 2013 tv <tv> 3.46-1.mga3
+ Revision: 393828
- new release

* Sat Jan 12 2013 umeabot <umeabot> 3.44-2.mga3
+ Revision: 359352
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 21 2012 tv <tv> 3.44-1.mga3
+ Revision: 320362
- new release

* Sat Nov 03 2012 tv <tv> 3.43-1.mga3
+ Revision: 313152
- new release

* Mon Aug 27 2012 tv <tv> 3.42-1.mga3
+ Revision: 284529
- new release

* Wed Jun 27 2012 tv <tv> 3.41-1.mga3
+ Revision: 264176
- new release

* Thu Jun 14 2012 tv <tv> 3.37-1.mga3
+ Revision: 260462
- new release

* Wed Mar 07 2012 tv <tv> 3.37-1.mga2
+ Revision: 221297
- use xz tarball
- new release

* Thu Oct 06 2011 blino <blino> 3.35-2.mga2
+ Revision: 152540
- enable back the POSIX man-pages I added 2 revisions before, they misteriously disappeared (maybe during the binrepos http switch?)

* Wed Oct 05 2011 tv <tv> 3.35-1.mga2
+ Revision: 152062
- new release
- disable all the tarballs removed by blino
+ blino <blino>
- add back posix man pages (3p) after 3 years of run away
  (welcome back pthread_*!)
- add matching posix patches from Fedora

* Mon Jan 10 2011 ahmad <ahmad> 3.32-2.mga1
+ Revision: 5470
- drop old versioned man requires, just 'man' is enough now
- imported package man-pages

